﻿©Fluke                                                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO70000 Input Channel Functional VER IEEE
INSTRUMENT:            Sub Tek DPO70000 TimeBase Functional VER IEEE
INSTRUMENT:            Sub Tek DPO70000 Trig System Functional VER IEEE
INSTRUMENT:            Sub Tek DPO70000 File System Functional VER IEEE
DATE:                  2010-11-29 09:54:28
AUTHOR:                Fluke
REVISION:              $Revision: 24330 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       12
NUMBER OF LINES:       331
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        DPO/DSA 70000B, MSO 70000, DPO/DSA 70000
#
#  Compatibility:
#        MET/CAL 7.3 or later
#
#  Subprocedures:
#        Sub Tek DPO70000 Channel Selection IEEE
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        One precision 50 Ohm coaxial cable
#        One BNC to Minigrabber adapter
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  CALL         Sub Tek DPO70000 Channel Selection IEEE

  1.002  JMPL         CHANNEL_TEST                 PSUBI("Input Channel")
  1.003  JMPL         TIMEBASE_TEST                PSUBI("TimeBase")
  1.004  JMPL         TRIGGER_TEST                 PSUBI("Trig System")
  1.005  JMPL         FILE_SYSTEM                  PSUBI("File System")

  1.006  DISP         Subprocedure not found!
  1.007  END

  1.008  EVAL   Increment step number

# *********** Sub Tek DPO70000 Input Channel Functional VER IEEE **********

  2.001  LABEL        CHANNEL_TEST

  2.002  IF           @Chan == 1
  2.003  RSLT         =
  2.004  RSLT         =CHANNEL FUNCTION TEST
  2.005  ENDIF

  2.006  RSLT         =
  2.007  RSLT         =Channel [V @Chan]

  2.008  HEAD         CHANNEL FUNCTION VERIFICATION (CH [V @Chan])
  2.009  HEAD         -2 Channel Operation Test
  2.010  TARGET
  2.011  DISP         Hook up the SMA cable from DUT FAST EDGE output
  2.011  DISP         to DUT [V @Chan].
  2.012  IEEE2        AUTOS EXEC
  2.013  IEEE2        CH[V @Chan]:OFFS 0
  2.014  IEEE2        CH[V @Chan]:POS 1
  2.015  IEEE2        CH[V @Chan]:SCA?[I]
# Verify DUT vertical setting.
  2.016  MATH         L[1] = (MEM == 100E-3)

  2.017  OPBR         -z Is the waveform amplitude approximate 4 divisions?
  2.018  MATH         L[2] = MEM1

  2.019  OPBR         -z Turn DUT CH[V @Chan] Position knob.
  2.019  OPBR
  2.019  OPBR         Did the signal move up and down the screen when the knob
  2.019  OPBR         was rotated?
  2.020  MATH         L[3] = MEM1

  2.021  OPBR         -z Turn DUT Scale knob counterclockwise.
  2.021  OPBR
  2.021  OPBR         Did the displayed waveform amplitude decrease?
  2.022  MATH         L[4] = MEM1

  2.023  OPBR         -z Turn DUT Scale knob clockwise.
  2.023  OPBR
  2.023  OPBR         Did the displayed waveform amplitude increase?
  2.024  MATH         L[5] = MEM1

  2.025  EVAL   -e L[1] && L[2] && L[3] && L[4] && L[5] : Operation Test

  3.001  HEAD         -2 Channel Acquisition Mode Test
  3.002  TARGET
# Restore to original setting.
  3.003  IEEE2        AUTOS EXEC
  3.004  IEEE2        ACQ:MOD SAM
  3.005  WAIT         -t 1 DUT Settling...
  3.006  IEEE2        ACQ?[I$]
# Acquistion mode is the third semicolon delimited field in the response.
# Mode field is "MODE <acquision mode>".
  3.007  MATH         ModeField = FLD(MEM2, 3, ";")
  3.008  MATH         AcquistionMode = FLD(ModeField, 1, " ")
  3.009  MATH         L[1] = FINDI(AcquistionMode, "SAM", 1)

  3.010  IEEE2        ACQ:MOD PEAK
  3.011  WAIT         -t 1 DUT Settling...
  3.012  IEEE2        ACQ?[I$]
  3.013  MATH         ModeField = FLD(MEM2, 3, ";")
  3.014  MATH         AcquistionMode = FLD(ModeField, 1, " ")
  3.015  MATH         L[2] = FINDI(AcquistionMode, "PEAK", 1)

  3.016  IEEE2        ACQ:MOD HIR
  3.017  WAIT         -t 1 DUT Settling...
  3.018  IEEE2        ACQ?[I$]
  3.019  MATH         ModeField = FLD(MEM2, 3, ";")
  3.020  MATH         AcquistionMode = FLD(ModeField, 1, " ")
  3.021  MATH         L[3] = FINDI(AcquistionMode, "HIR", 1)

  3.022  IEEE2        ACQ:MOD AVE
  3.023  WAIT         -t 1 DUT Settling...
  3.024  IEEE2        ACQ?[I$]
  3.025  MATH         ModeField = FLD(MEM2, 3, ";")
  3.026  MATH         AcquistionMode = FLD(ModeField, 1, " ")
  3.027  MATH         L[4] = FINDI(AcquistionMode, "AVE", 1)

  3.028  IEEE2        ACQ:MOD ENV
  3.029  WAIT         -t 1 DUT Settling...
  3.030  IEEE2        ACQ?[I$]
  3.031  MATH         ModeField = FLD(MEM2, 3, ";")
  3.032  MATH         AcquistionMode = FLD(ModeField, 1, " ")
  3.033  MATH         L[5] = FINDI(AcquistionMode, "ENV", 1)

  3.034  IEEE2        ACQ:MOD WFMDB
  3.035  WAIT         -t 1 DUT Settling...
  3.036  IEEE2        ACQ?[I$]
  3.037  MATH         ModeField = FLD(MEM2, 3, ";")
  3.038  MATH         AcquistionMode = FLD(ModeField, 1, " ")
  3.039  MATH         L[6] = FINDI(AcquistionMode, "WFMDB", 1)

  3.040  MATH         MEM = L[1] && L[2] && L[3] && L[4] && L[5] && L[6]
  3.041  EVAL   -e MEM : Acquisition Mode Test

  4.001  HEAD         -2
  4.002  HEAD
  4.003  END

  4.004  EVAL   Increment step number

# **************** Sub Tek DPO70000 TimeBase Functional VER IEEE ************

  5.001  LABEL        TIMEBASE_TEST
  5.002  RSLT         =
  5.003  HEAD         {TIMEBASE TEST}
  5.004  HEAD         -2 TimeBase Operation Verification
  5.005  TARGET
  5.006  IEEE2        AUTOS EXEC
  5.007  IEEE2        CH[V @Chan]:SCA 200E-3
  5.008  IEEE2        CH[V @Chan]:POS 2.5
  5.009  IEEE2        HOR:SCA 200E-6
  5.010  OPBR         -z Is one period of square-wave signal about five
  5.010  OPBR         horizontal divisions?
  5.011  MATH         L[1] = MEM1

  5.012  OPBR         -z Rotate the horizontal Scale knob clockwise.
  5.012  OPBR
  5.012  OPBR         Does the waveform on-screen expand?
  5.013  MATH         L[2] = MEM1

  5.014  OPBR         -z Rotate the horizontal Scale knob counterclockwise.
  5.014  OPBR
  5.014  OPBR         Does the waveform on-screen contract?
  5.015  MATH         L[3] = MEM1

  5.016  OPBR         -z Rotate the horizontal Position knob.
  5.016  OPBR
  5.016  OPBR         Does the waveform on-screen position left and right
  5.016  OPBR         when rotated?
  5.017  MATH         L[4] = MEM1

  5.018  EVAL   -e L[1] && L[2] && L[3] && L[4] : TimeBase Operation Test

  6.001  HEAD         -2 Horizontal Delay Test
  6.002  TARGET
  6.003  IEEE2        HOR:SCA 20E-6
  6.004  IEEE2        HOR:POS 0
  6.005  IEEE2        HOR:DEL:MOD ON
  6.006  IEEE2        HOR:DEL:TIM 1E-3
  6.007  OPBR         -z Is a rising edge of waveform within a few divisions
  6.007  OPBR         of center screen?
  6.008  MATH         L[1] = MEM1

  6.009  OPBR         -z Rotate the horizontal Position knob.
  6.009  OPBR
  6.009  OPBR         Does the rising edge shift horizontally?
  6.010  MATH         L[2] = MEM1

  6.011  IEEE2        HOR:DEL:MOD OFF
  6.012  IEEE2        HOR:POS 50
  6.013  OPBR         -z Rotate the horizontal Position knob.
  6.013  OPBR
  6.013  OPBR         Does the rising edge shift horizontally?
  6.014  MATH         L[3] = MEM1

  6.015  IEEE2        HOR:POS 0
  6.016  IEEE2        HOR:DEL:MOD ON
  6.017  IEEE2        HOR:DEL:TIM 1E-3
  6.018  IEEE2        HOR:SCA 40E-9
  6.019  OPBR         -z Adjust the delay setting to position the rising
  6.019  OPBR         edge 2 divisions to the right of the center graticule
  6.019  OPBR         line. Push the front-panel Delay button several times
  6.019  OPBR         to toggle delay off and on and back off again.
  6.019  OPBR
  6.019  OPBR         Does the display switch quickly between two different
  6.019  OPBR         points in time?
  6.020  MATH         L[4] = MEM1

  6.021  EVAL   -e L[1] && L[2] && L[3] && L[4] : Horizontal Delay Test

  7.001  HEAD         -2
  7.002  HEAD
  7.003  END

  7.004  EVAL   Increment step number

# ************** Sub Tek DPO70000 Trig System Functional VER IEEE **********

  8.001  LABEL        TRIGGER_TEST
  8.002  RSLT         =
  8.003  HEAD         {TRIGGER VERIFICATION}
  8.004  HEAD         -2 Main Trigger Verification
  8.005  TARGET
  8.006  IEEE2        AUTOS EXEC
  8.007  IEEE2        CH[V @Chan]:SCA 200E-3
  8.008  IEEE2        CH[V @Chan]:POS 2.5
  8.009  OPBR         -z Rotate the trigger-Level knob.
  8.009  OPBR
  8.009  OPBR         Does the trigger level readout for the A (main)
  8.009  OPBR         trigger system change?
  8.010  MATH         L[1] = MEM1

  8.011  DISP         Continue rotate the trigger-Level knob until
  8.011  DISP         untriggering the square-wave signal.
  8.012  IEEE2        TRIG:A SETL
  8.013  OPBR         -z Does square-wave signal trigger again?
  8.014  MATH         L[2] = MEM1

  8.015  EVAL   -e L[1] && L[2] : Main Trigger Verification Test

  9.001  HEAD         -2 Delay Trigger System Verification
  9.002  TARGET
  9.003  IEEE2        TRIG:B:STATE ON
  9.004  IEEE2        TRIG:B:TYP EDGE
  9.005  IEEE2        TRIG:B SETL
  9.006  OPBR         -z Click Trig menu.
  9.006  OPBR         Select B Event (Delay) Trigger Setup...
  9.006  OPBR         Click the Level control. Then rotate
  9.006  OPBR         Upper multipurpose knob.
  9.006  OPBR
  9.006  OPBR         Does the trigger level readout for the B trigger
  9.006  OPBR         system change?
  9.007  MATH         L[1] = MEM1

  9.008  OPBR         -z Continue rotate the Upper multipurpose knob.
  9.008  OPBR
  9.008  OPBR         Does square-wave signal become triggered and
  9.008  OPBR         untriggered?
  9.009  MATH         L[2] = MEM1

  9.010  IEEE2        TRIG:B SETL
  9.011  IEEE2        TRIG:B:BY TIM
  9.012  IEEE2        TRIG:B:TIM 1
  9.013  IEEE2        TRIG:A:MODE NORM
  9.014  OPBR         -z Does the trigger Ready indicator on the front
  9.014  OPBR         panel flashes about once every second as the
  9.014  OPBR         waveform is updated on-screen?
  9.015  MATH         L[3] = MEM1

  9.016  MATH         MEM = L[1] && L[2] && L[3]
  9.017  EVAL   -e MEM : Delay Trigger System Verification Test

 10.001  DISP         Press Close (X) on DUT Trigger - Edge
 10.001  DISP         control panel.
 10.002  HEAD         -2
 10.003  HEAD
 10.004  END

 10.005  EVAL   Increment step number

# ************* Sub Tek DPO70000 File System Functional VER IEEE **********

 11.001  LABEL        FILE_SYSTEM
 11.002  RSLT         =
 11.003  HEAD         FILE SYSTEM VERIFICATION TEST
 11.004  TARGET
 11.005  IEEE2        AUTOS EXEC
 11.006  IEEE2        CH[V @Chan]:SCA 200E-3
 11.007  IEEE2        HOR:SCA 1E-3
 11.008  IEEE2        SAV:SETU 1
 11.009  IEEE2        HOR:SCA 200E-6
 11.010  IEEE2        CH[V @Chan]:POS 2.5
 11.011  OPBR         -z Does the horizontal Scale setting change to
 11.011  OPBR         200 us/div?
 11.012  MATH         L[1] = MEM1
 11.013  IEEE2        RECA:SETU 1
 11.014  OPBR         -z Does the horizontal Scale setting change to
 11.014  OPBR         1 ms/div?
 11.015  MATH         L[2] = MEM1

 11.016  EVAL   -e L[1] && L[2]: File System Verification Test

 12.001  HEAD         -2
 12.002  HEAD
 12.003  END
